Skip to main content
GET
List files

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:20

Maximum number of files to return

Required range: 1 <= x <= 100
after
string

File id to start after, the last_id of the previous page

order
enum<string>
default:desc

Sort order, desc for newest first

Available options:
asc,
desc
purpose
enum<string>

Only list files with this purpose, batch for uploads or batch_output for output and error files

Available options:
batch,
batch_output

Response

A page of files

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
first_id
string | null
last_id
string | null